<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note Table</title>
  </head>
  <style>
      body{
        background: #afd275;
        margin: 0;
      }
      .style_table {
          border-collapse: collapse;
          text-align: center;
          margin-left: auto;
          margin-right: auto;
          font-size: 21px;
          margin: 25px 60px;
          box-shadow: 0 5px 8px 0 rgba(0, 0, 0, 0.5), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
      }

      /* buat header tablenya */
      .style_table th {
        background-color: #7e685a;
        color: #fff;
        font-weight: bold;
        padding: 12px 42px;
        font-family: "Papyrus";
      }

      .style_table td {
          padding: 12px 42px;
          font-family: "Garamond";
      }

      /* biar warna tabelnya selang seling */
      .style_table tbody tr:nth-of-type(even) {
        background-color: #efe2ba;
      }

      .style_table tbody tr:nth-of-type(odd) {
        background-color: #c2b9b0;
      }

      /* garis buat misahin tiap barisnya */
      .style_table tbody tr { 
          border-bottom: 1px solid #c2cad0;    
      }

      /* garis paling bawah */
      .style_table tbody tr:last-of-type {
          border-bottom: 2px solid #7e685a;
      }

      .nav {
        margin: auto;
        background-color: #333;
        display: flex;
        font-family: Arial, Helvetica, sans-serif;
    }

    ul {
        /* agar bulletnya hilang */
        list-style-type: none;
    }

    .nav a {
        float: left;
        color: #f2f2f2;
        text-align: center;
        padding: 17px 26px;
        text-decoration: none;
        font-size: 17px;
    }

    .nav a:hover {
        background-color: #ddd;
        color: black;
    }


  </style>
  <body>
    <header>
      <nav>
        <ul class="nav">
            <li><a href="http://127.0.0.1:8000/lab-4/add-note">Add Note</a></li>
            <li><a href="http://127.0.0.1:8000/lab-4/note-list">Note List</a></li>
            <li><a href="http://127.0.0.1:8000/lab-4/">Note Table</a></li>
          </ul>
      </nav>
  </header>
    <table class="style_table">
    <thead>
      <tr>
        <th>To</th>
        <th>From</th>
        <th>Title</th>
        <th>Message</th>
      </tr>
    </thead>

      <!-- Looping -->
      {% if notes %}
        {% for note in notes %}
          <tr>
            <td>{{note.to}}</td>
            <td>{{note.fromm}}</td>
            <td>{{note.title}}</td>
            <td>{{note.message}}</td>
        {% endfor %}
      {% endif %}
      <!-- End Looping -->
    </table>
  </body>
</html>
